import request from '@/utils/request'

// 查询商品信息采集模板字段列表
export function listFsStoreProductUserTempField(query) {
  return request({
    url: '/store/store/storeProductUserTempField/list',
    method: 'get',
    params: query
  })
}

// 查询商品信息采集模板字段详细
export function getFsStoreProductUserTempField(id) {
  return request({
    url: '/store/store/storeProductUserTempField/' + id,
    method: 'get'
  })
}

// 新增商品信息采集模板字段
export function addFsStoreProductUserTempField(data) {
  return request({
    url: '/store/store/storeProductUserTempField',
    method: 'post',
    data: data
  })
}

// 修改商品信息采集模板字段
export function updateFsStoreProductUserTempField(data) {
  return request({
    url: '/store/store/storeProductUserTempField',
    method: 'put',
    data: data
  })
}

// 删除商品信息采集模板字段
export function delFsStoreProductUserTempField(id) {
  return request({
    url: '/store/store/storeProductUserTempField/' + id,
    method: 'delete'
  })
}

// 导出商品信息采集模板字段
export function exportFsStoreProductUserTempField(query) {
  return request({
    url: '/store/store/storeProductUserTempField/export',
    method: 'get',
    params: query
  })
}
